//IMPORTS
@import "../../../../resources/scss/_var.index.scss";
@import "./_var.calculator.scss";

.number-0{ grid-area: number-0}
.number-1{ grid-area: number-1}
.number-2{ grid-area: number-2}
.number-3{ grid-area: number-3}
.number-4{ grid-area: number-4}
.number-5{ grid-area: number-5}
.number-6{ grid-area: number-6}
.number-7{ grid-area: number-7}
.number-8{ grid-area: number-8}
.number-9{ grid-area: number-9}
.number-clear{ grid-area: number-clear}
.number-remove{ grid-area: number-remove}
.number-comma{ grid-area: number-comma}
.number-sum{ grid-area: number-sum}
.number-diff{ grid-area: number-diff}
.number-multiplication{ grid-area: number-multiplication}
.number-division{ grid-area: number-division}
.number-equal{ grid-area: number-equal}

//SCSS
.calculator{
  &, >.wrapper{
    @include calculator-size;
  }

  >.wrapper{
    &, >header, >header>.wrapper, >main, >main>.wrapper{
      width: 100%;
    }

    >header{
      margin:{
        bottom: $calculator-header-margin-bottom;
      }

      >.wrapper{
        @include index-center-full;
      }
    }

    >main{
      >.wrapper{
        >.buttons{
          padding: 5px;
          display: grid;
          grid:{
            template:{
              areas: 'number-1 number-2 number-3 number-sum'
              'number-4 number-5 number-6 number-diff'
              'number-7 number-8 number-9 number-multiplication'
              'number-clear number-0 number-comma number-division'
              'number-remove number-equal number-equal number-equal';
            }
          }

          >.btn.number-remove{
            >.text{
              font:{
                size: 20px;
              }
            }
          }

          >.btn.number-equal{
            width: calc(100% - 10px);
          }

          >.btn{
            margin: 5px;
          }
        }
      }
    }
  }
}